!-------------------------------geoxyzv.f-------------------------------
! Version: 161020-10000
! Reference:
!   Change MXXPLNS to LIMAX, MXYPLNS to LJMAX and MXZPLNS to LKMAX.
!   Change name from geoxyz.f to geoxyzv.f.
!-----------------------------------------------------------------------
!23456789|123456789|123456789|123456789|123456789|123456789|123456789|12
! ----------------------------------------------------------------------
! The indices (imax, jmax and kmax) are typically read in on UNIT=5 by
! subroutine getxyz.f or getvoxel, where they are checked against the 
! array-size parameters LIMAX, LJMAX, LKMAX (defined in aux.f) to make sure
! that they are not larger.  The following are also checked in getxyz.f
! or getvoxel.f.
!
!             MXREG  >= irmax  = imax*jmax*kmax + 1
!             MXPLNS >= iplmax = imax + jmax + kmax + 3
!
! If any violations occur, getrtz.f will writeout error messages and the
! job will be terminates.
! ----------------------------------------------------------------------

      common/GEOXYZV/                   ! XYZ-geometry parameters for voxel
     * xbound(LIMAX+1),                 ! x-boundary coordinates
     * ybound(LJMAX+1),                 ! y-boundary coordinates
     * zbound(LKMAX+1),                 ! z-boundary coordinates
     * xinl,xinu,xindel,
     * yinl,yinu,yindel,
     * imax,                                             ! Index along x
     * jmax,                                             ! Index along y
     * kmax,                                             ! Index along z
     * ijmax,                                        ! ijmax = imax*jmax
     * irmax,                               ! irmax = imax*jmax*kmax + 1
     * ixinl,jyinl

      real*8 
     * xbound,ybound,zbound,
     * xinl,xinu,xindel,
     * yinl,yinu,yindel
      integer imax,jmax,kmax,ijmax,irmax,ixinl,jyinl

!---------------------------last line of geoxyzv.f-----------------------
